LinuxQMISDK: satelliteInfo Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
satelliteInfo Struct Reference

## Data Fields
BYTE | svListLen
ULONG | validMask
ULONG | system
WORD | gnssSvId
BYTE | healthStatus
ULONG | svStatus
BYTE | svInfoMask
FLOAT | elevation
FLOAT | azimuth
FLOAT | snr

## Detailed Description

Contain fields in struct satelliteInfo

Parameters

  svListLen | number of sets of the following elements: validMask system gnssSvid healthStatus svStatus svInfoMask elevation azimuth snr
  validMask | Bitmask indicating which of the fields in this TLV are valid. Valid bitmasks: 0x00000001 - VALID_SYSTEM 0x00000002 - VALID_GNSS_SVID 0x00000004 - VALID_HEALTH_STATUS 0x00000008 - VALID_PROCESS_STATUS 0x00000010 - VALID_SVINFO_MASK 0x00000020 - VALID_ELEVATION 0x00000040 - VALID_AZIMUTH 0x00000080 - VALID_SNR
  system | Indicates to which constellation this SV belongs. Valid values: eQMI_LOC_SV_SYSTEM_GPS (1) - GPS satellite eQMI_LOC_SV_SYSTEM_GALILEO (2) - GALILEO satellite eQMI_LOC_SV_SYSTEM_SBAS (3) - SBAS satellite eQMI_LOC_SV_SYSTEM_COMPASS (4) - COMPASS satellite eQMI_LOC_SV_SYSTEM_GLONASS (5) - GLONASS satellite eQMI_LOC_SV_SYSTEM_BDS (6) - BDS satellite
  gnssSvId | GNSS SV ID. The GPS and GLONASS SVs can be disambiguated using the system field. Range: FOR GPS: 1 to 32 FOR GLONASS: 1 to 32 FOR SBAS: 120 to 151 for BDS: 201 to 237
  healthStatus | health status. Range: 0 - 1 0 - unhealthy 1 - healthy
  svStatus | SV process status. Valid values: eQMI_LOC_SV_STATUS_IDLE (1) - SV is not being actively processed eQMI_LOC_SV_STATUS_SEARCH (2) - The system is searching for this SV eQMI_LOC_SV_STATUS_TRACK (3) - SV is being tracked
  svInfoMask | Indicates whether almanac and ephemeris information is available. Valid bitmasks: 0x01 - SVINFO_HAS_EPHEMERIS 0x02 - SVINFO_HAS_ALMANAC
  elevation | SV elevation angle. Units: Degrees Range: 0 to 90
  azimuth | SV azimuth angle. Units: Degrees Range: 0 to 360
  snr | SV signal-to-noise ratio Units: dB-Hz

Note
  None

## Field Documentation

FLOAT satelliteInfo::azimuth

FLOAT satelliteInfo::elevation

WORD satelliteInfo::gnssSvId

BYTE satelliteInfo::healthStatus

FLOAT satelliteInfo::snr

BYTE satelliteInfo::svInfoMask

BYTE satelliteInfo::svListLen

ULONG satelliteInfo::svStatus

ULONG satelliteInfo::system

ULONG satelliteInfo::validMask